package cpcns.dingZhi.renshianjuan.service.impl;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.dangAnBase.base.service.impl.DangAnBaseServiceImpl;
import cpcns.dingZhi.renshianjuan.dao.IRenshianjuanDao;
import cpcns.dingZhi.renshianjuan.model.renshianjuan;
import cpcns.dingZhi.renshianjuan.service.IRenshianjuanService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import java.util.HashMap;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("renshianjuanService")
public class RenshianjuanServiceImpl extends DangAnBaseServiceImpl<renshianjuan> implements IRenshianjuanService {
  @Autowired
  private IRenshianjuanDao renshianjuanDao;
  
  public PagerVO query_SQL(Integer start, Integer rows, String table, Map<String, Object> map, String orderbysql) throws Exception {
    Map<String, Object> tp = new HashMap<>();
    StringBuffer sql = (new StringBuffer(" select banBenLeiBie,hangBiaoShi,biaoTi,quanZongHao,xuHao,dangHao,pinYinSuoYin,siJiaoHaoMa,chengWenRiQi from ")).append(table).append(" where 1=1 and zhuangTai not in(:zhuangTai)");
    tp.put("zhuangTai", new String[] { "3", "4" });
    Object para = null;
    para = map.get("querystr");
    if (para != null && para != "") {
      Object menLei = map.get("menLei");
      if (menLei != null && menLei != "") {
        sql.append(" and menLei =:menLei");
        tp.put("menLei", menLei);
      } 
      CommStatic.zhuHeQueryJieXi_map(sql, tp, para.toString(), (String)map.get("zuHeType"), getDataType());
    } else {
      para = map.get("xuHao");
      if (para != null && para != "") {
        sql.append(" and xuHao=:xuHao");
        tp.put("xuHao", para);
      } 
      para = map.get("dangHao");
      if (para != null && para != "") {
        sql.append(" and dangHao like :dangHao");
        tp.put("dangHao", "%" + para + "%");
      } 
      para = map.get("banBenLeiBie");
      if (para != null && para != "") {
        sql.append(" and banBenLeiBie=:banBenLeiBie");
        tp.put("banBenLeiBie", para);
      } 
      para = map.get("chengWenRiQi");
      if (para != null && para != "") {
        sql.append(" and chengWenRiQi=:chengWenRiQi");
        tp.put("chengWenRiQi", para);
      } 
      para = map.get("biaoTi");
      if (para != null && para != "") {
        sql.append(" and biaoTi like :biaoTi");
        tp.put("biaoTi", "%" + para + "%");
      } 
    } 
    return this.renshianjuanDao.querySQL(start, rows, sql.toString(), tp, orderbysql);
  }
}
